Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.context.symbol.internal.provisional
Interface ITypeDescriptor

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  IJavaTypeDescriptor2, IMapTypeDescriptor

public interface ITypeDescriptor
extends org.eclipse.emf.ecore.EObject

A generic descriptor for symbol information

Field Summary
`static java.lang.String` | `copyright`

Method Summary
`org.eclipse.emf.common.util.EList` | `getInterfaceTypeSignatures()` Returns the value of the 'Interface Type Signatures' attribute list.
`org.eclipse.emf.common.util.EList` | `getMethods()` Returns the value of the 'Methods' reference list.
`org.eclipse.emf.common.util.EList` | `getProperties()` Returns the value of the 'Properties' reference list.
`org.eclipse.emf.common.util.EList` | `getSuperTypeSignatures()` Returns the value of the 'Super Type Signatures' attribute list.
`java.lang.String` | `getTypeSignature()` Returns the value of the 'Type Signature' attribute.
`java.lang.String` | `getTypeSignatureDelegate()` Returns the value of the 'Type Signature Delegate' attribute.
`void` | `setTypeSignatureDelegate(java.lang.String value)` Sets the value of the '`Type Signature Delegate`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getProperties

    public org.eclipse.emf.common.util.EList getProperties()

  Returns the value of the 'Properties' reference list. The list contents are of type `IPropertySymbol`.

  If the meaning of the 'Properties' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Properties' reference list.
  See Also:
    `SymbolPackage.getITypeDescriptor_Properties()`

### getTypeSignature

    public java.lang.String getTypeSignature()

  Returns the value of the 'Type Signature' attribute. The default value is `""`.

  If the meaning of the 'Type Signature' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Signature' attribute.
  See Also:
    `SymbolPackage.getITypeDescriptor_TypeSignature()`

### getSuperTypeSignatures

    public org.eclipse.emf.common.util.EList getSuperTypeSignatures()

  Returns the value of the 'Super Type Signatures' attribute list. The list contents are of type `String`.

  If the meaning of the 'Super Type Signatures' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Super Type Signatures' attribute list.
  See Also:
    `SymbolPackage.getITypeDescriptor_SuperTypeSignatures()`

### getInterfaceTypeSignatures

    public org.eclipse.emf.common.util.EList getInterfaceTypeSignatures()

  Returns the value of the 'Interface Type Signatures' attribute list. The list contents are of type `String`.

  If the meaning of the 'Interface Type Signatures' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Interface Type Signatures' attribute list.
  See Also:
    `SymbolPackage.getITypeDescriptor_InterfaceTypeSignatures()`

### getTypeSignatureDelegate

    public java.lang.String getTypeSignatureDelegate()

  Returns the value of the 'Type Signature Delegate' attribute.

  If the meaning of the 'Type Signature Delegate' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Signature Delegate' attribute.
  See Also:
    `setTypeSignatureDelegate(String)`, `SymbolPackage.getITypeDescriptor_TypeSignatureDelegate()`

### setTypeSignatureDelegate

    public void setTypeSignatureDelegate(java.lang.String value)

  Sets the value of the '`Type Signature Delegate`' attribute.

  Parameters:
    `value` - the new value of the 'Type Signature Delegate' attribute.
  See Also:
    `getTypeSignatureDelegate()`

### getMethods

    public org.eclipse.emf.common.util.EList getMethods()

  Returns the value of the 'Methods' reference list. The list contents are of type `IMethodSymbol`.

  If the meaning of the 'Methods' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Methods' reference list.
  See Also:
    `SymbolPackage.getITypeDescriptor_Methods()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD